Update a data frame analytics job

  • POST /_ml/data_frame/analytics/{id}/_update
Auth

Required privileges

Index privileges read create_index manage index view_index_metadata
Cluster privileges manage_ml

Path parameters

id string required

Identifier for the data frame analytics job. This identifier can contain lowercase alphanumeric characters (a-z and 0-9), hyphens, and underscores. It must start and end with alphanumeric characters.

Request body

description string

A description of the job.

model_memory_limit string · default: 1gb

The approximate maximum amount of memory resources that are permitted for analytical processing. If your elasticsearch.yml file contains an xpack.ml.max_model_memory_limit setting, an error occurs when you try to create data frame analytics jobs that have model_memory_limit values greater than that setting.

max_num_threads number · default: 1

The maximum number of threads to be used by the analysis. Using more threads may decrease the time necessary to complete the analysis at the cost of using more CPU. Note that the process may use additional threads for operational functionality other than the analysis itself.

allow_lazy_start boolean · default: false

Specifies whether this job can start when there is insufficient machine learning node capacity for it to be immediately assigned to a node.

Response

application/json
allow_lazy_start boolean required
analysis object required
create_time number required
description string
dest object required
index string required

Defines the destination index to store the results of the data frame analytics job.

results_field string

Defines the name of the field in which to store the results of the analysis. Defaults to ml.

id string required
max_num_threads number required
model_memory_limit string required
source object required
index union oneOf required

Index or indices on which to perform the analysis. It can be a single index or index pattern as well as an array of indices or patterns. NOTE: If your source indices contain documents with the same IDs, only the document that is indexed last appears in the destination index.

One of: string[] or string
runtime_mappings object

Definitions of runtime fields that will become part of the mapping of the destination index.

query object

The Elasticsearch query domain-specific language (DSL). This value corresponds to the query object in an Elasticsearch search POST body. All the options that are supported by Elasticsearch can be used, as this object is passed verbatim to Elasticsearch. By default, this property has the following value: {"match_all": {}}.

version string required